
Figure - Bug #112169
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】点击配置项会跳转至全屏模式（网络与互联网-WLAN-偏好设置-安装证书、已连接
的设备-蓝牙-通过蓝牙收到的文件、安全-安装证书-三个页面）
2022-09-27 16:30 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-27

Priority: Normal Due date: 2022-09-27

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

无

【测试步骤】

1、进入设置

2、点击（网络与互联网-WLAN-偏好设置-安装证书、已连接的设备-蓝牙-通过蓝牙收到的文件、安全-安装证书-三个页面）

【预期结果】

2、成功进入，且仍然保持双屏模式

【实际结果】

2、能成功进入，但是会跳转至全屏模式

【复现率】

必现

History

#1 - 2022-09-27 17:38 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-09-27 17:42 - CD AF-陈羽杰

- Due date set to 2022-09-27

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- Resolution changed from -- to MOVE TO CQ

- Degrated changed from -- to No

- Root cause set to AOSP问题

■ Current conclusion

已定位到问题

■ My analysis

topDisplayFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=3}
1083:  mCurrentFocus=Window{9c5d87b u0 com.android.documentsui/com.android.documentsui.picker.PickActivity}

1084:  mFocusedApp=ActivityRecord{2cca3a u0 com.android.documentsui/.picker.PickActivity t79}

1136:      mPreferredTopFocusableRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false

sz=3}

1137:      mLastFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=3}

1191:    mFocusedWindow=Window{9c5d87b u0 com.android.documentsui/com.android.documentsui.picker.PickActivity}

根据dump信息，点击安装证书，蓝牙接受到的文件，都会跳转到文件应用的PickActivity页面，不属于Settings内部，无法做到双屏显示，实现方案需要讨

论。

■ Next action / ■Submit URL

MOVE TO CQ

#3 - 2022-10-18 14:39 - CD AF-陈羽杰

- Resolution changed from MOVE TO CQ to WORKSFORME

■ Current conclusion

已定位到问题

■ My analysis

 根据讨论，跳转到文件部分的case暂时维持现状

■ Next action

  Settings 这功能维持现状

#4 - 2022-10-18 14:39 - CD AF-陈羽杰

- % Done changed from 0 to 100

#5 - 2022-10-18 14:46 - CD AF-陈羽杰

- Resolution changed from WORKSFORME to FIXED

#6 - 2022-10-18 14:48 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Resolution changed from FIXED to WORKSFORME

#7 - 2022-10-18 14:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- Resolution changed from WORKSFORME to FIXED
